function dotg --description 'Generate gstreamer dot graph for selected file'
    if count $argv >/dev/null
        set dotpath "$argv"
    else
        set dotpath "$GST_DEBUG_DUMP_DOT_DIR"
    end

    find /tmp/gst-dot -maxdepth 1 -regextype posix-extended -regex ".*\.(dot)" -printf '%T@ %p\n' | sort -k 1 -n -r | fzf | awk -F' ' '{print $2}' | read -l result

    if test -n "$result"
        dot -Tsvg "$result" -O
        mv "$result".svg ~/Pictures/gstreamer
    end
end
