local root_files = { 'pyproject.toml', 'setup.py', 'setup.cfg', 'requirements.txt', 'Pipfile' }
local path       = vim.fs.find(root_files, { type = "file" })
local root       = vim.fs.dirname(path[1])

vim.lsp.start({
  name      = "jedi-language-server",
  cmd       = { "jedi-language-server" },
  filetypes = { 'python' },
  root_dir  = root,
  init_options = {
    completion = {
      resolveEagerly = true,
    },
    jediSettings = {
      caseInsensitiveCompletion = false,
    },
    workspace = {
      symbols = {
        maxSymbols = 50
      },
    },
  },
})

vim.bo.textwidth = 0
vim.bo.formatprg = "black -q -"

vim.keymap.set('n', 'gq', "ggVGgq<C-o><C-o>", { noremap=true, silent=true, buffer=0 })

vim.api.nvim_create_autocmd({ "BufWritePost" }, {
  buffer   = 0,
  callback = function()
    require("lint").try_lint()
  end,
})
